Delegated methods need to be public, not protected
10/06/2015 05:12 AM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: Rails
Target version: 1.10.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2781
Description

generate_pxe_template and require_ip_validation? are delegated to primary interface on Host::Managed. However, these methods
are protected. On Rails 4, protected methods cannot be called through a delegation, these methods have to be public.

Associated revisions

Revision 3b75c0a7 - 10/07/2015 04:33 AM - Daniel Lobato Garcia
Fixes #12067 - Delegated methods need to be public, not protected

generate_pxe_template and require_ip_validation? are delegated to
primary interface on Host::Managed. However, these methods are
protected. On Rails 4, protected methods cannot be called through a
delegation, these methods have to be public.

See the difference on

http://apidock.com/rails/v3.2.13/Module/delegate vs
http://apidock.com/rails/v4.2.1/Module/delegate

Revision 0ac52140 - 10/07/2015 07:29 AM - Daniel Lobato Garcia
Refs #12067 - Delegated method to_ip_address should be public

Missed this one in 3b75c0a74e4e46d53d2203d05a0fffac386ded1f . It fails
on Rails 4 when called from Nic::Managed as it's delegated but not public.

History

#1 - 10/06/2015 06:08 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2781 added
- Pull request deleted ()

#2 - 10/07/2015 04:36 AM - Dominic Cleal
- Tracker changed from Bug to Refactor
- Assignee set to Daniel Lobato Garcia

- translation missing: en.field_release set to 63

#3 - 10/07/2015 05:02 AM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 3b75c0a74e4e46d53d2203d05a0fffac386ded1f.
